library ado;

uses
  SysUtils, Classes, Rubies, Pythia,
  uProperty,
  uParameter,
  uADOConnection,
  uADODataSet,
  uADOTable,
  uADOQuery,
  uADOStoredProc;

{$E so}

const
  RDBDLL = 'rdb.so';

function ap_mRDB: Tvalue; external RDBDLL;

procedure Init_ado;
begin
  if ap_mRDB = 0 then ap_loaderror('undefined RDB module');

  Init_Property;
  Init_Parameter;
  Init_ADOConnection;
  Init_ADODataSet;
  Init_ADOTable;
  Init_ADOQuery;
  Init_ADOStoredProc;
end;

exports
  Init_ado;

begin
end.
